package com.community.huiju.dao;


import com.community.huiju.model.TaFeedbackImg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaFeedbackImgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaFeedbackImg record);

    int insertSelective(TaFeedbackImg record);

    TaFeedbackImg selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaFeedbackImg record);

    int updateByPrimaryKey(TaFeedbackImg record);

    /**
     * 获取反馈当前图片
     * @param id
     * @return
     */
    List<String> selectImg(@Param("id") Integer id);
}